def sdkDestinationPath = "build/jar/"
def zipFile = file('build/intermediates/aar_main_jar/release/classes.jar')

static def buildTime() {
    return new Date().format("yyyyMMddHHmm", TimeZone.getDefault())
}

task deleteBaseBuild(type: Delete) {
    delete sdkDestinationPath
}

task makeJar(type: Jar) {
    from zipTree(zipFile)
    baseName(PUBLISH_ARTIFACT_ID + "-" + PUBLISH_VERSION)
    destinationDir(file(sdkDestinationPath))
}

makeJar.dependsOn(deleteBaseBuild, build)
